package com.jh.boot.template.customizable;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import com.jh.boot.template.Template;
import com.jh.boot.template.TemplateLoader;

public class CustomizableTemplateLoader implements TemplateLoader {

	@Autowired
	private CustomizableLabelsRepository repository;
	
	@Override
	@Transactional
	public Template loadTemplate(String code) {
		return repository.fetchTemplate(code);
	}

}
